-- | Module:      $Header$
--   Description: A minimalistic and easy-to-use XMPP library
--   Copyright:   Copyright © 2010-2011 Jon Kristensen
--   License:     BSD-3
--   
--   Maintainer:  info@pontarius.org
--   Stability:   unstable
--   Portability: portable

-- | Pontarius XMPP aims to be a secure, concurrent/event-based and easy-to-use
--   XMPP library for Haskell. It is being actively developed.
--   
--   Note that we are not recommending anyone to use Pontarius XMPP at this time
--   as it's still in an experimental stage and will have its API and data types
--   modified frequently. See the project's web site at
--   <http://www.pontarius.org/projects/pontarius-xmpp/> for more information.
--   
--   This module will be documented soon.

module Network.XMPP ( -- Network.XMPP.JID
                      JID (..)
                    , jid
                    , jidIsFull
                    , jidIsBare
                    , stringToJID
                    , jidToString
                    
                      -- Network.XMPP.SASL
                    , replyToChallenge1
                    
                      -- Network.XMPP.Session
                    , XMPPInEvent (..)
                    , XMPPOutEvent (..)
                    , createSession
                    
                      -- Network.XMPP.Stanza
                    , StanzaID (SID)
                    , From
                    , To
                    , XMLLang
                    , Stanza (..)
                    , MessageType (..)
                    , Message (..)
                    , message
                    , PresenceType (..)
                    , Presence (..)
                    , presence
                    , IQ (..)
                    , iqGet
                    , iqSet
                    , iqResult
                    , iqStanza
                    , iqPayloadNamespace
                    , iqPayload
                    
                    -- Network.XMPP.Utilities
                    , elementToString
                    , elementsToString
                    , getID
                    , getID_ ) where

import Network.XMPP.JID
import Network.XMPP.SASL
import Network.XMPP.Session
import Network.XMPP.Stanza
import Network.XMPP.Utilities